API ReferenceParticipant evidence
Upload PDF evidence
POST
Upload a PDF file as evidence for the given participant. Maximum file size is 10MB.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_STARTECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_SUCCESSECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>participantId*stringThe UUID of the participant
Format
uuidecosystemId*stringThe UUID of the ecosystem
Format
uuidmultipart/form-data- body
fileDescription?stringfile?fileFormat
binaryEvidence PDF uploaded
application/json- response
PDF evidence associated with a participant.
filename?stringFilename of the uploaded PDF.
fileDescription?stringOptional plaintext description of the PDF evidence.
id?stringUnique identifier of the PDF evidence.
Format
uuiduploadedBy?Identifiers of the user that uploaded the PDF evidence.
uploadedAt?stringTimestamp indicating when the PDF was uploaded.
Format
date-timecurl -X POST 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/evidence'{ "filename": "pdf-evidence.pdf", "fileDescription": "This is an example file description", "id": "920f2489-d953-42f2-b2dd-f37c29b818cf", "uploadedBy": { "clientId": "string", "managementUserId": "string" }, "uploadedAt": "2025-07-01T00:00:00.000Z"}How would you rate this page?